import 'package:equatable/equatable.dart';

abstract class DeleteAccountEvent extends Equatable {
  const DeleteAccountEvent();

  @override
  List<Object> get props => [];
}

class DeleteAccountSubmitted extends DeleteAccountEvent {
  final String description;

  const DeleteAccountSubmitted(
    this.description,
  );

  @override
  List<Object> get props => [description];
}

class DeleteAccountFormChanged extends DeleteAccountEvent {
  final String description;

  const DeleteAccountFormChanged(
    this.description,
  );

  @override
  List<Object> get props => [description];
}
